Subject: [bug#69692] [PATCH v3] gnu: Add home-jellyfin-mpv-shim-service-type.

From: Hilton Chain <[email-masked]>
Date: Tue, 22 Apr 2025 12:19:42 +0800

On Tue, 22 Apr 2025 08:11:47 +0800,
Ian Eure wrote:
>
> [...]
> +                   ;; Inherit the 'DISPLAY' variable set by 'x11-display'.
> +                   #:environment-variables
> +                   (cons (string-append "DISPLAY=" (getenv "DISPLAY"))
> +                         (remove (cut string-prefix? "DISPLAY=" <>)
> +                                 (default-environment-variables))))
> +                  #f)))

I think this is not the truth (also for existing services using it), ‘getenv’ is
called before starting services, see https://issues.guix.gnu.org/76619#8 for
details.

> +         (stop #~(make-kill-destructor)))))
> +
> +(define-public home-jellyfin-mpv-shim-service-type
> +  (service-type
> +   (name 'home-jellyfin-mpv-shim)
> +   (extensions (list (service-extension home-shepherd-service-type
> +                                        jellyfin-mpv-shim-shepherd-service)
> +                     ;; Ensure 'home-x11-service-type' is instantiated so we
> +                     ;; can depend on the Shepherd 'x11-display' service.
> +                     (service-extension home-x11-service-type
> +                                        (const #t))))
> +   (default-value (home-jellyfin-mpv-shim-configuration))
> +   (description "Run Jellyfin MPV Shim.")))
> --
> 2.49.0

Thanks